rm(list=ls(all=T))
library(cladeMode)
library(parallel)
library(TreeSim)
set.seed(762)
tree_50 <- sim.bd.taxa.age(n=50, numbsim=1, lambda=1, mu=0.5, frac = 1, age=33, mrca = F)
tree_50 <- treeSimToApe(tree_50[[1]])
tree_50$edge.length <- tree_50$edge.length / max(branching.times(tree_50)) 
tree_100 <- sim.bd.taxa.age(n=100, numbsim=1, lambda=1, mu=0.5, frac = 1, age=33, mrca = F)
tree_100 <- treeSimToApe(tree_100[[1]])
tree_100$edge.length <- tree_100$edge.length / max(branching.times(tree_100)) 
tree_200 <- sim.bd.taxa.age(n=200, numbsim=1, lambda=1, mu=0.5, frac = 1, age=65, mrca = F)
tree_200 <- treeSimToApe(tree_200[[1]])
tree_200$edge.length <- tree_200$edge.length / max(branching.times(tree_200)) 
tree_500 <- sim.bd.taxa.age(n=500, numbsim=1, lambda=1, mu=0.5, frac = 1, age=65, mrca = F)
tree_500 <- treeSimToApe(tree_500[[1]])
tree_500$edge.length <- tree_500$edge.length / max(branching.times(tree_500)) 
max_50_100_tips <- log(1e-5) / 1
max_200_500_tips <- log(1e-5) / 1
node50 <- sample(randomNode(tree_50), 1000, replace=T)
node100 <- sample(randomNode(tree_100), 1000, replace=T)
node200 <- sample(randomNode(tree_200), 1000, replace=T)
node500 <- sample(randomNode(tree_500), 1000, replace=T)
nodeSmall50 <- sample(randomNode(tree_50, overSize=F), 1000, replace=T)
nodeSmall100 <- sample(randomNode(tree_100,overSize=F), 1000, replace=T)
nodeSmall200 <- sample(randomNode(tree_200,overSize=F), 1000, replace=T)
nodeSmall500 <- sample(randomNode(tree_500,overSize=F), 1000, replace=T)






